%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
Summary: 		GNOME XML documentation utilities 
Name: 			gnome-doc-utils
Version: 		0.18.0
Release: 		%mkrel 1
Source0: 		http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 0.8.0-1mdv use catalog for dtd validation (GNOME bug #497055)
Patch0:			gnome-doc-utils-0.12.1-catalog.patch
License: 		LGPLv2+ and GPLv2+
Group: 			Publishing
Url: 			http://www.gnome.org
BuildRequires: 		libxslt-devel
BuildRequires: 		libxslt-proc
BuildRequires: 		python-libxml2
BuildRequires: 		glib-gettextize
BuildRequires: 		scrollkeeper
BuildRequires:		docbook-dtd44-xml
BuildRequires: 		intltool
Requires:		libxslt-proc
Requires:		libxml2-utils
Requires: 		python-libxml2
Requires(post): 	scrollkeeper
Requires(postun): 	scrollkeeper
Requires:		docbook-dtd44-xml docbook-dtd412-xml
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 		noarch
%define _requires_exceptions pkgconfig.libxml-2.0

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%setup -q
%patch0 -p1 -b .catalog
intltoolize --force
#needed by patch0
aclocal -I tools -I m4
autoconf
automake -a -c

%build

./configure --prefix=%_prefix --mandir=%_mandir --disable-scrollkeeper

#gw parallel make broken in 0.17.4
make

%check
#broken ATM
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang gnome-doc-make --with-gnome
%find_lang gnome-doc-mallard-spec --with-gnome
%find_lang gnome-doc-xslt --with-gnome
%find_lang %name
cat gnome-doc-xslt.lang gnome-doc-make.lang gnome-doc-mallard-spec.lang >> %name.lang
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_bindir/*
%pkgconfigdir/*.pc
%_datadir/aclocal/*.m4
%_datadir/gnome-doc-utils/
%dir %_datadir/omf/gnome-doc-make/
%_datadir/omf/gnome-doc-make/gnome-doc-make-C.omf
%dir %_datadir/omf/gnome-doc-xslt/
%_datadir/omf/gnome-doc-xslt/gnome-doc-xslt-C.omf
%dir %_datadir/xml/
%_datadir/xml/gnome
%_datadir/xml/mallard
%_mandir/man1/xml2po.1*
%py_puresitedir/xml2po/


%changelog
* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 0.18.0-1mdv2010.0
+ Revision: 446698
- update to new version 0.18.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 0.17.5-1mdv2010.0
+ Revision: 437419
- update to new version 0.17.5

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.17.4-1mdv2010.0
+ Revision: 420778
- disable parallel build
- update to new version 0.17.4

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 0.17.3-1mdv2010.0
+ Revision: 401407
- update to new version 0.17.3

* Sun Jun 28 2009 Götz Waschk <waschk@mandriva.org> 0.17.2-1mdv2010.0
+ Revision: 390427
- update build deps
- new version
- update file list

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 0.17.1-1mdv2010.0
+ Revision: 385964
- update to new version 0.17.1

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.16.1-1mdv2009.1
+ Revision: 367218
- update to new version 0.16.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 0.16.0-1mdv2009.1
+ Revision: 356129
- update to new version 0.16.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.15.2-1mdv2009.1
+ Revision: 346878
- update to new version 0.15.2

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.15.1-1mdv2009.1
+ Revision: 336344
- update to new version 0.15.1

* Sat Jan 10 2009 Götz Waschk <waschk@mandriva.org> 0.14.2-1mdv2009.1
+ Revision: 327957
- update to new version 0.14.2

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 0.14.1-1mdv2009.1
+ Revision: 315788
- update to new version 0.14.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 0.14.0-1mdv2009.0
+ Revision: 287253
- new version
- update license

* Thu Aug 28 2008 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2009.0
+ Revision: 276871
- new version
- fix build

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12.2-2mdv2009.0
+ Revision: 221086
- rebuild

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2008.1
+ Revision: 183223
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2008.1
+ Revision: 166379
- new version
- rediff the patch

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12.0-2mdv2008.1
+ Revision: 150139
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2008.0
+ Revision: 89360
- new version

* Sun Aug 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 67038
- new version
- fix build

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2008.0
+ Revision: 57362
- depend on docbook DTDs

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.0
+ Revision: 56702
- fix buildrequires
- new version
- fix aclocal call

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdv2008.0
+ Revision: 14134
- new version


* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-2mdv2007.1
+ Revision: 144422
- fix deps

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
+ Revision: 142119
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.1
+ Revision: 142087
- fix build
- new version

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.1
+ Revision: 115208
- new version

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.1
+ Revision: 114007
- Import gnome-doc-utils

* Fri Jan 26 2007 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.1
- fix build
- unpack patch 
- new version

* Fri Sep 08 2006 Gtz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.0
- fix buildrequires
- fix build

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.0
- New release 0.8.0
- Patch0: use catalog for DTD validation (fcrozat)
- disable make check for now

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.0
- New release 0.7.2

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.0
- New release 0.7.1

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-1mdk
- Release 0.6.0

* Wed Feb 22 2006 Eskild Hustvedt <eskild@mandriva.org> 0.4.4-3mdk
- Drop old text from the description

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.4-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- drop patch
- New release 0.4.3

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-2mdk
- Patch0: fix scrollkeeper-update when using DESTDIR

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-1mdk
- Release 0.4.2
- remove patch0 (merged upstream)

* Sun Aug 28 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- replace prereq
- encoding fix

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- fix pkgconfig file location

* Tue Apr 05 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Fri Jan 14 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Mon Jan 03 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- New release 0.1.1

* Wed Nov 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-3mdk
- buildrequires fix

* Mon Nov 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- add scrollkeeper scripts
- fix deps

* Mon Nov 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package

